Package org.eclipse.emf.spi.cdo

# Interface InternalCDOTransaction.InternalCDOCommitContext

All Superinterfaces:
  `CDOBranchProvider`, `CDOCommitContext`

All Known Subinterfaces:
  `InternalCDOXATransaction.InternalCDOXACommitContext`

Enclosing interface:
  InternalCDOTransaction

public static interface InternalCDOTransaction.InternalCDOCommitContext extends CDOCommitContext
Provides a context for a commit operation.

Author:
  Simon McDuff
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`InternalCDOTransaction`
`getTransaction()`
Returns the `transaction` associated with this commit context.
`void`
`postCommit(CDOSessionProtocol.CommitTransactionResult result)`
`void`
`preCommit()`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOCommitContext

`getBranch, getCommitComment, getCommitData, getCommitMergeSource, getCommitProperties, getDetachedObjects, getDirtyObjects, getIDsToUnlock, getLobs, getLocksOnNewObjects, getNewObjects, getNewPackageUnits, getRevisionDeltas, getUserID, getViewID, isAutoReleaseLocks, isPartialCommit`

## Method Details

### getTransaction

InternalCDOTransaction getTransaction()
Description copied from interface: `CDOCommitContext`
Returns the `transaction` associated with this commit context.

Specified by:
  `getTransaction` in interface `CDOCommitContext`

### preCommit

void preCommit()

### postCommit

void postCommit(CDOSessionProtocol.CommitTransactionResult result)